Job Scheduler - Update Item Schedule
Update an existing schedule for an item.
Required Delegated Scopes:
Item.Execute.All and Item.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
PATCH https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/items/{itemId}/jobs/{jobType}/schedules/{scheduleId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
item
|
path | True |
string (uuid) |
The item ID. |
|
job
|
path | True |
string |
The job type. |
|
schedule
|
path | True |
string (uuid) |
The item schedule ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| configuration | True | ScheduleConfig: |
The actual data contains the time/weekdays of this schedule. |
| enabled | True |
boolean |
Whether this schedule is enabled. True - Enabled, False - Disabled. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully update the schedule. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
update item schedule plan example
Sample request
PATCH https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/items/cfafbeb1-8037-4d0c-896e-a46fb27ff229/jobs/DefaultJob/schedules/3546052c-ae64-4526-b1a8-52af7761426f
{
"enabled": true,
"configuration": {
"startDateTime": "2024-04-28T00:00:00",
"endDateTime": "2024-04-30T23:59:00",
"localTimeZoneId": "Central Standard Time",
"type": "Cron",
"interval": 10
}
}
Sample response
{
"id": "5b218778-e7a5-4d73-8187-f10824047715",
"enabled": true,
"createdDateTime": "2024-04-28T05:35:20.5366667",
"configuration": {
"startDateTime": "2024-04-28T00:00:00",
"endDateTime": "2024-04-30T23:59:00",
"localTimeZoneId": "Central Standard Time",
"type": "Cron",
"interval": 10
},
"owner": {
"id": "8eedb1b0-3af8-4b17-8e7e-663e61e12211",
"type": "User"
}
}
Definitions
| Name | Description |
|---|---|
|
Cron |
|
|
Daily |
|
|
Day |
Specifies a date to trigger the job. The value must be a valid date. Otherwise, it will be skipped. |
|
Day |
Days of the week |
|
Entire |
Represents a tenant principal |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Group |
Group specific details. Applicable when the principal type is |
|
Group |
Represents a security group. |
|
Group |
The type of the group. Additional group types may be added over time. |
|
Item |
Item schedule. |
|
Monthly |
|
|
Ordinal |
Specifies the ordinal week and weekday to trigger the job. The value must be a valid date. Otherwise, it will be skipped. |
|
Principal |
The type of the principal. Additional principal types may be added over time. |
|
Service |
Service principal specific details. Applicable when the principal type is |
|
Service |
Represents a Microsoft Entra service principal. |
|
Service |
Service principal profile details. Applicable when the principal type is |
|
Service |
Represents a service principal profile. |
|
Update |
Update item schedule plan request payload. |
|
User |
User principal specific details. Applicable when the principal type is |
|
User |
Represents a Microsoft Entra user principal. |
|
Week |
The week of the month. |
|
Weekly |
CronScheduleConfig
| Name | Type | Description |
|---|---|---|
| endDateTime |
string (date-time) |
The end time for this schedule. The end time must be later than the start time. It has to be in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| interval |
integer (int32) minimum: 1maximum: 5270400 |
The time interval in minutes. A number between 1 and 5270400 (10 years). |
| localTimeZoneId |
string |
The time zone identifier registry on local computer for windows, see Default Time Zones |
| startDateTime |
string (date-time) |
The start time for this schedule. If the start time is in the past, it will trigger a job instantly. The time is in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| type |
string:
Cron |
The type of schedule configuration. Additional types may be added over time. |
DailyScheduleConfig
| Name | Type | Description |
|---|---|---|
| endDateTime |
string (date-time) |
The end time for this schedule. The end time must be later than the start time. It has to be in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| localTimeZoneId |
string |
The time zone identifier registry on local computer for windows, see Default Time Zones |
| startDateTime |
string (date-time) |
The start time for this schedule. If the start time is in the past, it will trigger a job instantly. The time is in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| times |
string[] |
A list of time slots in the hh:mm format. The maximum time slots you can use is 100. |
| type |
string:
Daily |
The type of schedule configuration. Additional types may be added over time. |
DayOfMonth
Specifies a date to trigger the job. The value must be a valid date. Otherwise, it will be skipped.
| Name | Type | Description |
|---|---|---|
| dayOfMonth |
integer (int32) minimum: 1maximum: 31 |
Specifies a date to trigger the job, using a value between 1 and 31. For example, 2 means the second day of the month. The date must be valid. If an invalid date is provided, such as February 31st, it will automatically skip to the month that includes the 31st day. |
| occurrenceType | string: |
An enumerator that lists the day for triggering jobs. Additional types may be added over time. |
DayOfWeek
Days of the week
| Value | Description |
|---|---|
| Monday |
Monday |
| Tuesday |
Tuesday |
| Wednesday |
Wednesday |
| Thursday |
Thursday |
| Friday |
Friday |
| Saturday |
Saturday |
| Sunday |
Sunday |
EntireTenantPrincipal
Represents a tenant principal
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Entire |
The type of the principal. Additional principal types may be added over time. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
GroupDetails
Group specific details. Applicable when the principal type is Group.
| Name | Type | Description |
|---|---|---|
| groupType |
The type of the group. Additional group types may be added over time. |
GroupPrincipal
Represents a security group.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| groupDetails |
Group specific details. Applicable when the principal type is |
|
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Group |
The type of the principal. Additional principal types may be added over time. |
GroupType
The type of the group. Additional group types may be added over time.
| Value | Description |
|---|---|
| Unknown |
Principal group type is unknown. |
| SecurityGroup |
Principal is a security group. |
| DistributionList |
Principal is a distribution list. |
ItemSchedule
Item schedule.
| Name | Type | Description |
|---|---|---|
| configuration | ScheduleConfig: |
The actual data contains the time/weekdays of this schedule. |
| createdDateTime |
string (date-time) |
The created time stamp of this schedule in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| enabled |
boolean |
Whether this schedule is enabled. True - Enabled, False - Disabled. |
| id |
string (uuid) |
The schedule ID. |
| owner | Principal: |
The user identity that created this schedule or last modified. |
MonthlyScheduleConfig
| Name | Type | Description |
|---|---|---|
| endDateTime |
string (date-time) |
The end time for this schedule. The end time must be later than the start time. It has to be in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| localTimeZoneId |
string |
The time zone identifier registry on local computer for windows, see Default Time Zones |
| occurrence | MonthlyOccurrence: |
A date for triggering the job. |
| recurrence |
integer (int32) minimum: 1maximum: 12 |
Specifies the monthly job repeat interval. For example, when set to 1 the job is triggered every month. |
| startDateTime |
string (date-time) |
The start time for this schedule. If the start time is in the past, it will trigger a job instantly. The time is in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| times |
string[] |
A list of time slots in the hh:mm format. The maximum time slots you can use is 100. |
| type |
string:
Monthly |
The type of schedule configuration. Additional types may be added over time. |
OrdinalWeekday
Specifies the ordinal week and weekday to trigger the job. The value must be a valid date. Otherwise, it will be skipped.
| Name | Type | Description |
|---|---|---|
| occurrenceType | string: |
An enumerator that lists the day for triggering jobs. Additional types may be added over time. |
| weekIndex |
The week of the month. |
|
| weekday |
Week day for triggering jobs. |
PrincipalType
The type of the principal. Additional principal types may be added over time.
| Value | Description |
|---|---|
| User |
Principal is a Microsoft Entra user principal. |
| ServicePrincipal |
Principal is a Microsoft Entra service principal. |
| Group |
Principal is a security group. |
| ServicePrincipalProfile |
Principal is a service principal profile. |
| EntireTenant |
Principal represents all tenant users. |
ServicePrincipalDetails
Service principal specific details. Applicable when the principal type is ServicePrincipal.
| Name | Type | Description |
|---|---|---|
| aadAppId |
string (uuid) |
The service principal's Microsoft Entra AppId. |
ServicePrincipalPrincipal
Represents a Microsoft Entra service principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalDetails |
Service principal specific details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
ServicePrincipalProfileDetails
Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.
| Name | Type | Description |
|---|---|---|
| parentPrincipal | Principal: |
The service principal profile's parent principal. |
ServicePrincipalProfilePrincipal
Represents a service principal profile.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalProfileDetails |
Service principal profile details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
UpdateScheduleRequest
Update item schedule plan request payload.
| Name | Type | Description |
|---|---|---|
| configuration | ScheduleConfig: |
The actual data contains the time/weekdays of this schedule. |
| enabled |
boolean |
Whether this schedule is enabled. True - Enabled, False - Disabled. |
UserDetails
User principal specific details. Applicable when the principal type is User.
| Name | Type | Description |
|---|---|---|
| userPrincipalName |
string |
The user principal name. |
UserPrincipal
Represents a Microsoft Entra user principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
User |
The type of the principal. Additional principal types may be added over time. |
| userDetails |
User principal specific details. Applicable when the principal type is |
WeekIndex
The week of the month.
| Value | Description |
|---|---|
| First |
First. |
| Second |
Second. |
| Third |
Third. |
| Fourth |
Fourth. |
| Fifth |
Fifth. |
WeeklyScheduleConfig
| Name | Type | Description |
|---|---|---|
| endDateTime |
string (date-time) |
The end time for this schedule. The end time must be later than the start time. It has to be in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| localTimeZoneId |
string |
The time zone identifier registry on local computer for windows, see Default Time Zones |
| startDateTime |
string (date-time) |
The start time for this schedule. If the start time is in the past, it will trigger a job instantly. The time is in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| times |
string[] |
A list of time slots in the hh:mm format. The maximum time slots you can use is 100. |
| type |
string:
Weekly |
The type of schedule configuration. Additional types may be added over time. |
| weekdays |
A list of weekdays, at most seven elements are allowed. |